use axum::http::{header, HeaderMap, StatusCode};
use axum::response::Html;
use super::Result;

pub type HtmlResponse = Html<String>;
pub type RedirectResponse = (StatusCode, HeaderMap, ());

pub fn redirect(url: &str) -> Result<RedirectResponse> {
    let mut header = HeaderMap::new();
    header.insert(header::LOCATION, url.parse().unwrap());
    Ok((StatusCode::FOUND, header, ()))
}



