use axum::routing::get;
use crate::handler;
use crate::handler::{category, article};

pub fn init() -> axum::Router {
    let category_router = category::init_router();
    let article_router = article::init_router();

    axum::Router::new()
        .route("/", get(handler::index))
        .nest("/category", category_router)
        .nest("/article", article_router)
}
